Bug 1940275 - [IPI Baremetal] Revert Sending full ignition to masters
Summary: [IPI Baremetal] Revert Sending full ignition to masters
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.7
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 4.7.z
Assignee: Kiran Thyagaraja
QA Contact: Raviv Bar-Tal
URL:
Whiteboard:
Depends On: 1936443
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-18 02:09 UTC by Kiran Thyagaraja
Modified: 2021-06-15 09:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-15 09:26:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 4767 0 None open Bug 1940275: Revert "baremetal: send full ignition to masters" 2021-05-11 14:38:40 UTC
Red Hat Product Errata RHSA-2021:2286 0 None None None 2021-06-15 09:27:40 UTC

Description Kiran Thyagaraja 2021-03-18 02:09:00 UTC
This is a manual, cherry pick, clone of Bug # 1936443

This bug is a revert of sending full ignition to master nodes. This doesn't work for IPI baremetal deployments driven via hive, because there are firewall rules that prevent access to the bootstrap MCS from the pod running the installer.

Comment 1 Kiran Thyagaraja 2021-03-19 14:32:35 UTC
PR here: https://github.com/openshift/installer/pull/4767

Comment 2 Kiran Thyagaraja 2021-04-14 15:43:52 UTC
The reason this BZ is still in "Assigned' is due to the fact that its 4.8 revert is in QA and needs to move to Verified before this bug makes progress.

Comment 6 Eveline Cai 2021-05-19 15:06:11 UTC
Looks like this bug was fixed. Any one know which OCP 4.7 snapshot will have the fix? Thank you.

Comment 11 Siddharth Sharma 2021-06-04 18:38:34 UTC
This bug will be shipped as part of next z-stream release 4.7.15 on June 14th, as 4.7.14 was dropped due to a regression https://bugzilla.redhat.com/show_bug.cgi?id=1967614

Comment 15 errata-xmlrpc 2021-06-15 09:26:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.16 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2286


Note You need to log in before you can comment on or make changes to this bug.